# Dog breed classifier

## Intorudction
This model is developed on top of the inception v3 pre-trained model. Using transfer learning, the model has further enhanced. To train the model, the Stanford data set has been used which consists of 20000+ images from 120 different dog breeds. Model is connected with the Flask (python micro-framework for web) server which allows API consumers to request "dog breed" predictions via JSON based API. Server accepts both image and video media types.

### Request
```
curl --location --request POST '{base_url}/predict' \
--form 'file=@/path/to/file'
```
### Response
```
{
    "code_name": "N02086240-Shih-Tzu",
    "image": "90d00cda8e414e299f8aec70a77d6cb8.jpg",
    "name": "Shih-Tzu",
    "probability": "0.94594604"
}
```

## Installation
This guide is using conda to setup the enviroment.

1. Create an enviroment

```conda create -n dog-breed python=3.6```

2. Activate created enviroment

```conda activate dog-breed```

3. Install dependencies

```pip install -r requirment.txt```

4. Run server

```python app.py```
