import model.imagegenerator as im
import model.formatter as ft
from model.labels import label_names
from tensorflow.keras.preprocessing import image
import tensorflow.keras.backend as K
from tensorflow import keras
import tensorflow as tf
import numpy as np
import logging
import os
from keras.applications.inception_v3 import preprocess_input
logging.disable(logging.WARNING)
os.environ["TF_CPP_MIN_LOG_LEVEL"] = "3"


def Predict(img_tensor, model, graph1):
    with tf.Session(graph=graph1) as sess:
        init = tf.global_variables_initializer()
        sess.run(init)
        model.load_weights('saved_model/model.h5')
        result = model.predict(img_tensor)
        labels = label_names[np.argmax(result, axis=-1)]
        unformatted_prediction = labels[0]
        prediction = ft.formatString(unformatted_prediction)
        probability = max(result[0])
        return {'name': prediction, 'probability': str(probability), 'code_name': unformatted_prediction}
